/**** <lalVerbatim file="COHApplySearchHV"> ***********
Author: Julien Sylvestre
 $Id: ApplySearch.h,v 1.1 2002/10/11 16:44:08 jolien Exp $
***** </lalVerbatim> ***********************************/

#ifndef _APPLYSEARCH_H
#define _APPLYSEARCH_H

#include <InitSearch.h>
#include <LALWrapperInterface.h>
#include <lal/LALDatatypes.h>
#include <lal/LALRCSID.h>
#include <lal/Comm.h>


#ifdef  __cplusplus
extern "C" {
#endif


NRCSID (APPLYSEARCHH, "power $Id: ApplySearch.h,v 1.1 2002/10/11 16:44:08 jolien Exp $");

/******** <lalErrTable file="COHApplySearchHErrTab"> ********/
#define APPLYSEARCHH_ENULL 11
#define APPLYSEARCHH_ENNUL 12
#define APPLYSEARCHH_EALOC 13
#define APPLYSEARCHH_ENUMZ 14
#define APPLYSEARCHH_EDELT 18
#define APPLYSEARCHH_ERANK 19
#define APPLYSEARCHH_EUEXT 110
#define APPLYSEARCHH_EDELF 111
#define APPLYSEARCHH_ENDAT 111
#define APPLYSEARCHH_EIERR 112
#define APPLYSEARCHH_ETHREAD 113
#define APPLYSEARCHH_EMAXBLOB 114

#define APPLYSEARCHH_MSGENULL "Null pointer"
#define APPLYSEARCHH_MSGENNUL "Non-null pointer"
#define APPLYSEARCHH_MSGEALOC "Memory allocation error"
#define APPLYSEARCHH_MSGENUMZ "Data segment length is zero"
#define APPLYSEARCHH_MSGEDELT "deltaT is zero or negative"
#define APPLYSEARCHH_MSGERANK "Search node has incorrect rank"
#define APPLYSEARCHH_MSGEUEXT "Unrecognised exchange type"
#define APPLYSEARCHH_MSGEDELF "Inconsistent deltaF in spectrum and data"
#define APPLYSEARCHH_MSGENDAT "Total number of data not a multiple of (segment length - overlap)"
#define APPLYSEARCHH_MSGEIERR  "Internal error"
#define APPLYSEARCHH_MSGETHREAD "Thread error"
#define APPLYSEARCHH_MSGEMAXBLOB "Maximum allowed BLOB size (! Mo) exceeded"
/******** </lalErrTable> ********/

typedef enum
{
  ExchDataSegment,
  ExchDataList,
  ExchEPEvent,
  ExchFinished,
  ExchBeacon
}
ExchObjectType;


typedef struct tagTArg {

  CHAR on;
  InitExchParams *init;

} TArg;

static void BuildOutput ( LALStatus          *stat, 
			  LALSearchOutput    *output,
			  REAL8              *zePower,
			  CohereSearchParams *params);

static void THREst(LALStatus *status,
		   REAL4TimeSeries *tseries, 
		   CohereSearchParams *params);

static void CleanFList(LALStatus *status, CList *flist, CList *list, UINT4 minf, UINT4 maxf, UINT4 mint, UINT4 maxt);

#ifdef linux
void endian_swap(char * pdata, int dsize, int nelements);
#endif


#ifdef  __cplusplus
}
#endif

#endif /* _APPLYSEARCH_H */




