/********************************** <lalVerbatim file="PowerInitSearchCV">
Author: Brady, P and Brown, D
$Id: InitSearch.c,v 1.15 2003/01/12 05:28:33 patrick Exp $
**************************************************** </lalVerbatim> */

#include <lal/LALStdlib.h>
#include <lal/ExcessPower.h>
#include <lal/TFTransform.h>
#include <lal/EPData.h>
#include <lal/Window.h>
#include "InitSearch.h"

NRCSID( INITSEARCHC, "power $Id: InitSearch.c,v 1.15 2003/01/12 05:28:33 patrick Exp $");

void LALInitSearch(
    LALStatus             *status,
    void                 **searchParams,
    LALInitSearchParams   *initSearchParams
    )
{
  
  EPSearchParams *params;


  INITSTATUS (status, "LALInitSearch", INITSEARCHC);
  ATTATCHSTATUSPTR (status);

  /*
   *
   * sleep to give me time to attach ddd
   *
   */

#ifdef POWER_SO_ATTACH_DDD
  {
   unsigned int doze = 10;
   pid_t myPID;
   myPID = getpid( );
   fprintf( stdout, "pid %d sleeping for %d seconds\n", myPID, doze );
   fflush( stdout );
   sleep( doze );
   fprintf( stdout, "pid %d awake\n", myPID );
   fflush( stdout );
  }
#endif

  /*
   *
   * Sanity checks on the input, output, params
   *
   */

  if ( !(initSearchParams) ){
    ABORT( status, INITSEARCHH_ENULL, INITSEARCHH_MSGENULL);
  }
  if ( (*searchParams) ){
    ABORT( status, INITSEARCHH_ENNUL, INITSEARCHH_MSGENNUL);
  }

  EPInitSearch( status->statusPtr, searchParams, initSearchParams->argv, 
          initSearchParams->argc);
  CHECKSTATUSPTR (status);
  
  params = (EPSearchParams *) *searchParams;
  params->printSpectrum   = 0;
  params->searchMaster    = initSearchParams->nodeClass;

  DETATCHSTATUSPTR (status);
  RETURN (status);
}

