#if 0  /* autodoc block */

<lalVerbatim file="SickHV">
$Id: Sick.h,v 1.3 2001/01/15 08:49:49 jolien Exp $
</lalVerbatim>

<lalLaTeX>

\section{Header \texttt{Sick.h}}
\label{s:Sick.h}

Provides the LAL-wrapper interface routines for the \texttt{sick} shared
object.

\subsection*{Synopsis}
\begin{verbatim}
#include <Sick.h>
\end{verbatim}

\noindent
Provides the LAL-wrapper interface routines for the \texttt{sick} shared
object to check how the LALWrapperInterface routines respond.

</lalLaTeX>

#endif /* autodoc block */


#ifndef _SICK_H
#define _SICK_H

#include <lal/LALRCSID.h>
#include <LALWrapperInterface.h>

NRCSID( SICKH, "$Id: Sick.h,v 1.3 2001/01/15 08:49:49 jolien Exp $" );

#if 0  /* autodoc block */

<lalLaTeX>
\subsection*{Error conditions}
\input{SickHErrTab}
</lalLaTeX>

<lalErrTable file="SickHErrTab">

#endif /* autodoc block */

#define SICKH_ENULL  1
#define SICKH_ENNUL  2
#define SICKH_EALOC  4
#define SICKH_EARGS  8
#define SICKH_EFAIL  16

#define SICKH_MSGENULL "Null pointer."
#define SICKH_MSGENNUL "Non null pointer."
#define SICKH_MSGEALOC "Memory allocation error."
#define SICKH_MSGEARGS "Incorrect number of arguments."
#define SICKH_MSGEFAIL "Fail."

#if 0  /* autodoc block */

</lalErrTable>

#endif /* autodoc block */

enum
{
  /*  0 */ ILL_OK,
  /*  1 */ ILL_FAIL,
  /*  2 */ ILL_RECURSE_FAIL,
  /*  3 */ ILL_STAT_DESCRIPT,
  /*  4 */ ILL_STAT_LIST,
  /*  5 */ ILL_LEAK,
  /*  6 */ ILL_OUTPUT_OK, 
  /*  7 */ ILL_OUTPUT_PTR,
  /*  8 */ ILL_OUTPUT_LIST,
  /*  9 */ ILL_OUTPUT_TANGLE,
  /* 10 */ ILL_SIGSEGV_INIT,
  /* 11 */ ILL_SIGABRT_INIT,
  /* 12 */ ILL_SIGSEGV_COND,
  /* 13 */ ILL_SIGABRT_COND,
  /* 14 */ ILL_SIGSEGV_APPL,
  /* 15 */ ILL_SIGABRT_APPL,
  /* 16 */ ILL_SIGSEGV_FREE,
  /* 17 */ ILL_SIGABRT_FREE,
  /* 18 */ ILL_INT
};

#if 0  /* autodoc block */

<lalLaTeX>
\vfill{\footnotesize\input{SickHV}}
\newpage\input{SickC}
\newpage\input{SickTestS}
</lalLaTeX>

#endif /* autodoc block */

#endif /* _TRIVIAL_H */
